Subject: Re: COMPAT_NETBSD32 [was Re: Upgrading to different port]
To: Christos Zoulas <>
From: David Laight <>
List: current-users
Date: 12/16/2007 12:44:48
On Fri, Dec 14, 2007 at 09:55:03PM +0000, Christos Zoulas wrote:
> >Isn't amd64 supposed to be able to support running 32-bit i386 binaries
> >with COMPAT_NETBSD32 or it just not working in current right now?
> You need to install the 32 bit libraries in /emul/netbsd32 first.

Which can be easily done by installing the amd64 system into a separate
filesystem, and mounting the i386 root as /emul/netbsd32.
(This does require some forsight on the original install.)


David Laight: